Subject: Re: [PATCH] add correct interrupt property for pegasos ide

From: Olaf Hering <[email-masked]>
Date: Thu, 5 Apr 2007 12:32:09 +0200

On Wed, Apr 04, Bartlomiej Zolnierkiewicz wrote:

> 
> On Wednesday 04 April 2007, Olaf Hering wrote:
> > On Wed, Apr 04, Bartlomiej Zolnierkiewicz wrote:
> > 
> > > ?
> > 
> > You are right, I did not test the ide driver again. pata_via works with
> > the change. 
> > I will test the ide driver tomorrow.
> 
> Thanks.
> 
> There might be also the another issue here - the chipset claims fully native
> mode (prog-if 8f - taken from your previous mail) so driver takes IRQ value
> from dev->irq (which your patch fixes to be 14 instead of 20 if I'm reading
> it correctly) but in reality chipset seems to be still using legacy IRQs
> (14 for the primary port and 15 for the secondary one).  What IRQ value is
> reported by the libata for the secondary port?  Does the second port work?

The second port does not work. My added printks did not trigger. There
is not enough time to hack on this today.
I found maple_pci_get_legacy_ide_irq, maybe a similar function can be
added for pegasos to remove the ifarch code from the IDE driver.